FROM quay.io/podman/stable

CMD ["/sbin/init"]

STOPSIGNAL SIGRTMIN+3

RUN dnf -y install procps-ng systemd golang podman git-core && dnf clean all

#mask systemd-machine-id-commit.service - partial fix for https://bugzilla.redhat.com/show_bug.cgi?id=1472439
RUN systemctl mask systemd-remount-fs.service dev-hugepages.mount sys-fs-fuse-connections.mount systemd-logind.service getty.target console-getty.service systemd-udev-trigger.service systemd-udevd.service systemd-random-seed.service systemd-machine-id-commit.service

WORKDIR /src
